Subject: Re: [Open-FCoE] [ANNOUNCE] Open-FCoE - Fibre Channel over Ethernet Project

From: Joe Eykholt <[email-masked]>
Date: Wed, 28 Nov 2007 12:08:05 -0800

Chris Leech wrote:
> Christoph Hellwig wrote:
>   
>> I just did a very quick glance over the tree.  Some extremly highlevel
>> comments to start with before actually starting the source review:
>>     
>
> Thanks for taking a look Christoph
>
>   
>>  - why do you need your own libcrc?  lib/crc32.c has a crc32_le
>>     
>
> We shouldn't, but we may want to add a CRC and copy routine.
>
>   
>>  - libsa should go.  Much of it is just wrappers of kernel functions
>>    that should be used directly.  Other like that hash, even or state
>>    helpers might either be opencoded in the caller or made completely
>>    generic in lib/.  Probably the former but we'll have to see.
>>     
>
> Yes, and along with it the last use of the BSD TAILQ macros.  Just 
> before Rob set up the open repos I finished converting most of those to 
> list_head, the only one left is in the sa_event mechanism.  Rather than 
> convert it I'd like to replace the use of sa_event with notifier call 
> chains.  I just need to finish auditing the use to make sure the 
> differences won't cause unexpected problems.
>
> After than and unwrapping kernel functions, I think the only thing left 
> before completly removing libsa is to open code the state machines.
>
> Similarly I think net_types.h need to go.
>
>   
Hi All,

[resending as plain text -sorry].

I've had a start at getting rid of sa_state, but I haven't tested it
yet.  It's a pretty straightforward change to just call the new state
routine directly instead of going through the table.  I'll submit that
in the next week or so, or if desired, someone else can take over the
work from the code I have.

           Joe